/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AxaAlerts
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AxaAlerts {
  @SerializedName("id")
  private String id = null;

  @SerializedName("title")
  private String title = null;

  @SerializedName("short_description")
  private String shortDescription = null;

  @SerializedName("level")
  private String level = null;

  @SerializedName("end_date")
  private String endDate = null;

  @SerializedName("country")
  private CountryLight country = null;

  @SerializedName("content")
  private String content = null;

  @SerializedName("alert_date")
  private String alertDate = null;

  public AxaAlerts id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Unique ID of the alert
   * @return id
  **/
  @ApiModelProperty(required = true, value = "Unique ID of the alert")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public AxaAlerts title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Title of the alert
   * @return title
  **/
  @ApiModelProperty(value = "Title of the alert")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public AxaAlerts shortDescription(String shortDescription) {
    this.shortDescription = shortDescription;
    return this;
  }

   /**
   * Short description of the alert
   * @return shortDescription
  **/
  @ApiModelProperty(value = "Short description of the alert")
  public String getShortDescription() {
    return shortDescription;
  }

  public void setShortDescription(String shortDescription) {
    this.shortDescription = shortDescription;
  }

  public AxaAlerts level(String level) {
    this.level = level;
    return this;
  }

   /**
   * Level of the alert
   * @return level
  **/
  @ApiModelProperty(value = "Level of the alert")
  public String getLevel() {
    return level;
  }

  public void setLevel(String level) {
    this.level = level;
  }

  public AxaAlerts endDate(String endDate) {
    this.endDate = endDate;
    return this;
  }

   /**
   * Alert end date
   * @return endDate
  **/
  @ApiModelProperty(value = "Alert end date")
  public String getEndDate() {
    return endDate;
  }

  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }

  public AxaAlerts country(CountryLight country) {
    this.country = country;
    return this;
  }

   /**
   * Get country
   * @return country
  **/
  @ApiModelProperty(value = "")
  public CountryLight getCountry() {
    return country;
  }

  public void setCountry(CountryLight country) {
    this.country = country;
  }

  public AxaAlerts content(String content) {
    this.content = content;
    return this;
  }

   /**
   * Content of the alert
   * @return content
  **/
  @ApiModelProperty(value = "Content of the alert")
  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public AxaAlerts alertDate(String alertDate) {
    this.alertDate = alertDate;
    return this;
  }

   /**
   * Alert publication date
   * @return alertDate
  **/
  @ApiModelProperty(value = "Alert publication date")
  public String getAlertDate() {
    return alertDate;
  }

  public void setAlertDate(String alertDate) {
    this.alertDate = alertDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AxaAlerts axaAlerts = (AxaAlerts) o;
    return Objects.equals(this.id, axaAlerts.id) &&
        Objects.equals(this.title, axaAlerts.title) &&
        Objects.equals(this.shortDescription, axaAlerts.shortDescription) &&
        Objects.equals(this.level, axaAlerts.level) &&
        Objects.equals(this.endDate, axaAlerts.endDate) &&
        Objects.equals(this.country, axaAlerts.country) &&
        Objects.equals(this.content, axaAlerts.content) &&
        Objects.equals(this.alertDate, axaAlerts.alertDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, title, shortDescription, level, endDate, country, content, alertDate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AxaAlerts {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    shortDescription: ").append(toIndentedString(shortDescription)).append("\n");
    sb.append("    level: ").append(toIndentedString(level)).append("\n");
    sb.append("    endDate: ").append(toIndentedString(endDate)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    content: ").append(toIndentedString(content)).append("\n");
    sb.append("    alertDate: ").append(toIndentedString(alertDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

